<template>
	<div>
		<el-input style="width: 100%;" :readonly="true" :value="value"></el-input>
	</div>
</template>
<script lang="ts">
	import { Component, Prop, Vue, Watch, Mixins } from "vue-property-decorator";
	@Component
	export default class Logistics extends Vue {
		@Prop()
		propValue : any
		value : any = ''
		@Watch('propValue')
		propValueChange(v : any) {
			// 0、创建；5、已分派；10、已派车；15、已提货；20、已发运；30、已送达；35、已回单；-1、已撤回；-2、取消
			switch (v) {
				case 0:
					this.value = '创建'
					break;
				case 5:
					this.value = '已分派'
					break;
				case 10:
					this.value = '已派车'
					break;
				case 15:
					this.value = '已提货'
					break;
				case 20:
					this.value = '已发运'
					break;
				case 30:
					this.value = '已送达'
					break;
				case 35:
					this.value = '已回单'
					break;
				case -1:
					this.value = '已撤回(取消派车)'
					break;
				case -2:
					this.value = '取消'
					break;
				case 'ONE':
					this.value = '逐单发货'
					break;
				case 'MORE':
					this.value = '打包发货'
					break;
				case 'YKRK':
					this.value = '越库入库'
					break;
				case 'B2BRK':
					this.value = 'B2B入库'
					break;
				case 'B2CRK':
					this.value = 'B2C入库'
					break;
			}
		};
		created() { }
	}
</script>

<style>
</style>